# ARBGetProgramBinary (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBGetProgramBinary

    java.lang.Object
      org.lwjgl.opengl.ARBGetProgramBinary

    public final class ARBGetProgramBinary

extends java.lang.Object

Field Summary
`static int` `GL_NUM_PROGRAM_BINARY_FORMATS` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:
`static int` `GL_PROGRAM_BINARY_FORMATS` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:
`static int` `GL_PROGRAM_BINARY_LENGTH` Accepted by the <pname> parameter of GetProgramiv:
`static int` `GL_PROGRAM_BINARY_RETRIEVABLE_HINT` Accepted by the <pname> parameter of ProgramParameteri and GetProgramiv:

Method Summary
`static void` `glGetProgramBinary(int program, java.nio.IntBuffer length, java.nio.IntBuffer binaryFormat, java.nio.ByteBuffer binary)`
`static void` `glProgramBinary(int program, int binaryFormat, java.nio.ByteBuffer binary)`
`static void` `glProgramParameteri(int program, int pname, int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PROGRAM_BINARY_RETRIEVABLE_HINT

    public static final int GL_PROGRAM_BINARY_RETRIEVABLE_HINT

  Accepted by the <pname> parameter of ProgramParameteri and GetProgramiv:

  See Also:
    Constant Field Values

### GL_PROGRAM_BINARY_LENGTH

    public static final int GL_PROGRAM_BINARY_LENGTH

  Accepted by the <pname> parameter of GetProgramiv:

  See Also:
    Constant Field Values

### GL_NUM_PROGRAM_BINARY_FORMATS

    public static final int GL_NUM_PROGRAM_BINARY_FORMATS

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:

  See Also:
    Constant Field Values

### GL_PROGRAM_BINARY_FORMATS

    public static final int GL_PROGRAM_BINARY_FORMATS

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glGetProgramBinary

    public static void glGetProgramBinary(int program,
                                          java.nio.IntBuffer length,
                                          java.nio.IntBuffer binaryFormat,
                                          java.nio.ByteBuffer binary)

### glProgramBinary

    public static void glProgramBinary(int program,
                                       int binaryFormat,
                                       java.nio.ByteBuffer binary)

### glProgramParameteri

    public static void glProgramParameteri(int program,
                                           int pname,
                                           int value)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.